##
##  csp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         csp
Summary:      Certificate Service Provider
URL:          http://devel.it.su.se/projects/CSP/
Vendor:       Leif Johansson
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Cryptography
License:      GPL
Version:      0.34
Release:      20171018

#   list of sources
Source0:      ftp://ftp.it.su.se/pub/users/leifj/CSP-%{version}.tar.gz
Source1:      http://devel.it.su.se/projects/CSP/cspguide.pdf
Patch0:       csp.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, perl, perl-term, perl-time, perl-sys, perl-util

%description
    CSP is a Certificate Service Provider which allows running multiple
    Certificate Authorities (CA). OpenSSL is used for all operations.
    CSP can also generate a small CA website used to distribute
    certificates and CRLs.

%track
    prog csp = {
        disabled
        comment   = "site no longer exists"
        version   = %{version}
        url       = ftp://ftp.it.su.se/pub/users/leifj/
        regex     = CSP-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n CSP-%{version}
    %patch -p0

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/csp \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/csp \
        $RPM_BUILD_ROOT%{l_prefix}/share/csp \
        $RPM_BUILD_ROOT%{l_prefix}/var/csp/ca/csp
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        csp $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 755 \
        CSP.pm $RPM_BUILD_ROOT%{l_prefix}/libexec/csp/
    %{l_shtool} install -c -m 644 \
        %{SOURCE cspguide.pdf} $RPM_BUILD_ROOT%{l_prefix}/share/csp/
    ln -s ../../../etc/csp \
        $RPM_BUILD_ROOT%{l_prefix}/var/csp/ca/etc
    cp -rp ca/etc/* \
        $RPM_BUILD_ROOT%{l_prefix}/etc/csp/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/csp/*' \
        '%config %{l_prefix}/etc/csp/*/*' \
        '%config %{l_prefix}/etc/csp/*/*/*' \
        '%doc %{l_prefix}/share/csp/cspguide.pdf'

%files -f files

%clean

